Change log for pgapack package in Ubuntu

18 of 8 results
Deleted in zesty-release (Reason: (From Debian) ROM; FTBFS; RC-buggy; long abandoned upstre...)
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-17
pgapack (1.1.1-3) unstable; urgency=low

  * debian/computeWordlength.sh: Added simple shell script to compute the 
    size of long to determine whether 32 or 64 bit systems are used
  * configure(.in): Use computeWordlength.sh to switch between "-DWL=32"
    "-DWL-64" at build-time				(Closes: #641553)

  * debian/control: Improved Description synopsis 	(thanks, Lintian)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  17 Oct 2011 13:45:24 +0000

Available diffs

Superseded in precise-release on 2011-10-17
Obsolete in oneiric-release on 2015-04-24
pgapack (1.1.1-2) unstable; urgency=low

  * debian/rules: Also allow for MPICH2 which is now more broadly
    available in Debian and can act as a fallback when Open MPI is not
    available. Special thanks to Nicholas Breen for the patch.
  							(Closes: #626330)

  * debian/control: Updated Standards-Version: to 3.9.1

  * debian/control: Added ${misc:Depends} to Depends for all packages
  
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  13 May 2011 06:50:15 +0000

Available diffs

Superseded in oneiric-release on 2011-05-13
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
pgapack (1.1.1-1) unstable; urgency=low

  * This release provides a more complete reconstitution adding two files.
    - doc/user_guide.tex: Re-added LaTeX sources recoverd by David Levine 
      from a decade-old backup tape. Thanks!
    - doc/tpage.sty: Added historic Argonne titlepage style procured by 
      Rusty Lusk and Barry Smith at Argonne National Labs. Thanks!

  * debian/control: Rewrote dependency on MPI using the new meta-packages 
    mpi-default-dev (for Build-Depends:) and mpi-default-bin (for Depends:)
    now that Open MPI 1.3.2 has hit unstable
  
  * debian/control: Updated Standards-Version: to 3.8.1
  

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  04 Jun 2009 05:48:12 +0100

Available diffs

Superseded in karmic-release on 2009-06-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
pgapack (1.1-2) unstable; urgency=low

  * man/man?/*: Modified numerous manual pages by splitting (non-standard)
    multi-line NAME entries off into an initial line and a DESCRIPTION.
    While this departs slightly from the recently created upstream tarball,
    it allows us to addresses the old open bug report.	(Closes: #241916)

  * debian/control: Updated Standards-Version: to current version
   

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  04 Jul 2008 08:44:32 +0100

Available diffs

Superseded in intrepid-release on 2008-07-04
pgapack (1.1-1) unstable; urgency=low

  * Really good news: The MCS divsion of Argonne National Laboratories has
    agreed to relicense pgapack using the MPICH2 license. So pgapack is
    now Free Software and can move into Debian's main archive!
    Our thanks go to David Levine and Rusty Lusk to make this possible.

  * debian/copyright: Updated using MPICH2 license now chosen upstream
  
  * New maintainer, following Andreas' offer dated 2006-10-04 in #379388

  * debian/control: Change section to math		(Closes: #379388)
  
  * Added new brinary packages libpgapack-mpi1 and libpgapack-serial1
  * The MPI package is configured using Open MPI where available and LAM
    where not. 
  * debian/control: Changed Build-Depends: to use OpenMPI where available, 
    and LAM otherwise.
 
  * Finally acknowledges old NMUs 		(Closes: #379168,#359549)

  * source/integer.c: Apply patch for one-off error 	(Closes: #333381)

  * source/report.c:  Do not unconditionally print at generation 1
  
  * debian/rules: Remove a bashism 			(Closes: #379168)
  * debian/rules: Install examples directly 		(Closes: #134331)
  * debian/control: libpgapack-lam1 Depends on lam4 	(Closes: #60376)
  * debian/rules: Rewritten using debhelper
  * debian/control: Added Build-Depends: section for debhelper

  * No longer install mpi.h in /usr/include		(Closes: #404027)
    
  * debian/control: Updated Standards-Version: to current version

  * man/man1/PGAGetCharacterAllele.1: fix whatis entry 		(lintian)
  

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:22:21 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
pgapack (1.0.0.1-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove a bashism from debian/rules (Closes: #379168).

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
pgapack (1.0.0.1-4) unstable; urgency=low

  * Updated to policy version 3.6.1.1, no symlink in /usr/doc

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 15:17:40 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
pgapack (1.0.0.1-3) unstable; urgency=low


  * Updated to policy version 3.5.9

  * Included information about a problem in the user-guide in README.Debian
    Closes: #180807

  * Included information about a problem in the user-guide in README.Debian
    Closes: #179368

 -- Andreas Franzen <email address hidden>  Mon, 31 Mar 2003 21:40:54 +0200
18 of 8 results